/*
 * @Description: 描述
 * @Author: chd
 * @Date: 2020-12-31 15:18:17
 * @LastEditors: chd
 * @LastEditTime: 2020-12-31 17:44:18
 */
import Vue from 'vue'
import 'xe-utils'
import {
  Table,
  Column,
  Header,
  Footer,
  Filter,
  Edit,
  Menu,
  Export,
  Keyboard,
  Validator,
  Icon,
  Grid,
  Toolbar,
  Pager,
  Checkbox,
  Radio,
  Input,
  Button,
  Modal,
  Tooltip,
  Form,
  Select,
  Switch,
  List,
  Colgroup,
} from 'vxe-table'

// 按需加载的方式默认是不带国际化的，需要自行导入
// VXETable.setup({
//   i18n: (key, args) => i18n.t(key, args)
// })

// 表格模块
Vue.use(Icon)
Vue.use(Header)
Vue.use(Footer)
Vue.use(Filter)
Vue.use(Edit)
Vue.use(Menu)
Vue.use(Export)
Vue.use(Keyboard)
Vue.use(Validator)

// 可选组件
Vue.use(Column)
Vue.use(Grid)
Vue.use(Tooltip)
Vue.use(Toolbar)
Vue.use(Pager)
Vue.use(Form)
Vue.use(Checkbox)
Vue.use(Radio)
Vue.use(Switch)
Vue.use(Input)
Vue.use(Select)
Vue.use(Button)
Vue.use(Modal)
Vue.use(List)
Vue.use(Colgroup)

// 安装表格
Vue.use(Table)

// 给 vue 实例挂载内部对象，例如：
// Vue.prototype.$XModal = VXETable.modal
// Vue.prototype.$XPrint = VXETable.print
// Vue.prototype.$XSaveFile = VXETable.saveFile
// Vue.prototype.$XReadFile = VXETable.readFile
